Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
trieubb

Các cao thủ sửa giúp em đoạn code này với

Các bài được khuyến nghị

trieubb    5

Đầu tiên là đoạn code em muốn từ Excel bấm 1 nút nó sẽ vào CAD và thực hiện luôn lệch vẽ LINE:

 

Sub Mo_AutoCad()

Dim AcaDApp As Object

On Error Resume Next

Set AcaDApp = GetObject(, "AutoCAD.Application")

If Err <> 0 Then

Err.Clear

KT = True

Set AcaDApp = CreateObject("AutoCAD.Application")

End If

AppActivate AcaDApp.Caption

AcaDApp.Visible = True

Set AcaDApp = Nothing

Set AcaDApp = ThisDrawing.Line.Add

End Sub

 

 

Đoạn này là em muốn viết cái vòng lặp nó sẽ lấy kết quả hàng 1 cột A ở Sheets1 vào hàng 1 cột A ở Sheets2, rồi hàng 2 cột A ở Sheets1

vào hàng 3 cột A ở Sheets2 ...

 

Sub Sheets2()

Sheets("Sheets2").Select

Dim i As Integer

For i = 0 To 10

Sheets2.Cells(i + 2, 1) = Sheets1.Cells(i + 1, 1)

Next

End Sub

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
anhcos    177
Đầu tiên là đoạn code em muốn từ Excel bấm 1 nút nó sẽ vào CAD và thực hiện luôn lệch vẽ LINE:

 

Sub Mo_AutoCad()

Dim AcaDApp As Object

On Error Resume Next

Set AcaDApp = GetObject(, "AutoCAD.Application")

If Err <> 0 Then

Err.Clear

KT = True

Set AcaDApp = CreateObject("AutoCAD.Application")

End If

AppActivate AcaDApp.Caption

AcaDApp.Visible = True

Set AcaDApp = Nothing

Set AcaDApp = ThisDrawing.Line.Add

End Sub

 

Thay 2 dòng màu đỏ bằng các dòng sau

Dim startPoint(0 To 2) As Double	  Dim endPoint(0 To 2) As Double  'chưa có gán giá trị cho 2 điểm này
   Dim LineObj as object
   Set LineObj = ThisDrawing.ModelSpace.AddLine(startPoint, endPoint)

 

Đoạn này là em muốn viết cái vòng lặp nó sẽ lấy kết quả hàng 1 cột A ở Sheets1 vào hàng 1 cột A ở Sheets2, rồi hàng 2 cột A ở Sheets1

vào hàng 3 cột A ở Sheets2 ...

 

Sub Sheets2()

Sheets("Sheets2").Select

Dim i As Integer

For i = 0 To 10

Sheets2.Cells(i + 2, 1) = Sheets1.Cells(i + 1, 1)

Next

End Sub

 

Sub ChuyenDuLieu()

For i = 1 To 10

Sheets("Sheet2").Cells(i,1)=Sheets("Sheet1").Cells(i,1)

Next i

End Sub

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
trieubb    5
Thay 2 dòng màu đỏ bằng các dòng sau

Dim startPoint(0 To 2) As Double	  Dim endPoint(0 To 2) As Double  'chưa có gán giá trị cho 2 điểm này
   Dim LineObj as object
   Set LineObj = ThisDrawing.ModelSpace.AddLine(startPoint, endPoint)

Sub ChuyenDuLieu()

For i = 1 To 10

Sheets("Sheet2").Cells(i,1)=Sheets("Sheet1").Cells(i,1)

Next i

End Sub

 

Cảm ơn bác nhưng cái vẽ LINE luôn trong CAD vẫn không thực hiện bác ạ

nó cứ đứng đực ra không chịu làm gì cả

bác giúp em cho chót đi

nếu em muốn thay lệnh Line bằng lệnh ERASE có được không

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
anhcos    177
Cảm ơn bác nhưng cái vẽ LINE luôn trong CAD vẫn không thực hiện bác ạ

nó cứ đứng đực ra không chịu làm gì cả

bác giúp em cho chót đi

nếu em muốn thay lệnh Line bằng lệnh ERASE có được không

 

Dim startPoint(0 To 2) As Double 'điểm đầu

startPoint(0)=1

startPoint(1)=2

startPoint(2)=0

 

Dim endPoint(0 To 2) As Double 'điểm cuối

endPoint(0)=3

endPoint(1)=2.2

endPoint(2)=0

 

Dim LineObj as object

 

'Vẽ đường thẳng

Set LineObj = ThisDrawing.ModelSpace.AddLine(startPoint, endPoint)

 

'Xóa nó

LineObj.Delete

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×